function VF_Marg(P)
%Plot vertex-frequency of P with marginals
% Vertex-Energy Distributions, cite:
% LJ. Stankovi?, E. Sejdi?, and M. Dakovi?, ?Vertex-Frequency Energy Distributions,?
% IEEE Signal Processing Letters, accepted, 2017.

dd=0.1;
SetFigureDefaults(7.5,7.5)
ha1=axes('Position',[0.1,0.4,0.5,0.5]);
ha2=axes('Position',[0.65,0.4,0.2,0.5]);
ha3=axes('Position',[0.1,0.15,0.5,0.2]);
ha4=axes('Position',[0.65,0.15,0.2,0.2]);


nn=1:size(P,1);
N=size(P,1);

axes(ha1)
imagesc(abs(flipud(P))), 
set(gca,'XAxisLocation','top')
set(gca,'Xtick',[],'Ytick',[])
title('Vertex-Frequency Distribution $E(n,k)$','interpreter','latex')
%axis xy

axes(ha2)
h(1)=stem(nn,abs(sum(P')),'.');
set(gca,'XAxisLocation','top')
set(gca,'YAxisLocation','right')
xlabel('Vertex index $n$','interpreter','latex'),
axis([0,N+1,0,1.1*max(abs(sum(P')))])
view(-90,90)

axes(ha3)

h(2)=stem(nn,abs(sum(P)),'.');
set(h,'MarkerSize',10)
xlabel('Spectral index $k$','interpreter','latex')
axis([0,N+1,0,1.1*max(abs(sum(P)))])

axes(ha4)
axis([0,1,0,1])
text(0.5,0.8,'$\displaystyle\sum_{k=1}^{N} E(n,k)=|x(n)|^2$','interpreter','latex','HorizontalAlignment','center','VerticalAlignment','bottom','FontSize',7)

%text(0,0.3,'$\displaystyle\sum_{n=1}^{N} P(n,k)=|X(\lambda_k)|^2$','interpreter','latex','HorizontalAlignment','center','VerticalAlignment','middle','Rotation',90)
text(-0.2,0.0,'$\displaystyle\sum_{n=1}^{N} E(n,k)=|X(\lambda_k)|^2$','interpreter','latex','HorizontalAlignment','left','VerticalAlignment','bottom','FontSize',7)

text(0.5,0.6,{'Marginal','properties'},'interpreter','latex','HorizontalAlignment','center','VerticalAlignment','middle')


axis off
